Bug 63897 - spec file shouldn't use _arch
spec file shouldn't use _arch
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-20 18:49 EDT by Need Real Name
Modified: 2013-04-02 00:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-12 08:06:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-20 18:49:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.19-pre6 i686; Nav)

Description of problem:
I build for the i686, and skipjack's
for i in %{_arch}-redhat-linux-*; do
	mv $i `echo $i |sed -e "s/^%{_arch}-redhat-linux-//"`
done

doesn't find anything, sinch _arch==i386 and _target==i686.  This prevents the
RPM build from completing.
_arch should be changed to _target throughout the spec file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
change in rpmrc
buildarchtranslate: i686: i386
to
buildarchtranslate: i686: i686
then
rpm --rebuild <Imagemagick srpm name>

Actual Results:  the rpm build failed at the end of the build process

Expected Results:  the rpm build should have succeeded

Additional info:

Note You need to log in before you can comment on or make changes to this bug.